
# Modify the settings below to match your environment

# SharePoint root URL
$rootUrl = "http://localhost"

# Site owner alias
$owneralias = "DOMAIN\Username"

# QPR web content url
$webContentUrl = "http://localhost:8080/QPR2014-1/"

# The following two variables need to be configured if QPR installation resides on a different computer

# Log file path
$qprLogPath = "C:\ProgramData\QPR Software\QPR 2014\2014.1\Servers\Logs\SPBdcLog.txt"

# QPR Web Services Foundation URL
$qprWsUrl = "http://localhost:9002/QPR2014-1/Portal/qpr.isapi.dll/wsforward/MainService.svc/wsHttp"

# This is the site collection under which the search and profile page sites is created. In English SharePoints this is sites by default, but 
# localized SharePoint versions have the name in the local language. 
# To get the default collection for your SharePoint installation, run Get-SPManagedPath -WebApplication $rootUrl
$siteRoot = "sites"

# The settings below don't need changes in most installations

# Search application where QPR Search Central is installed
$targetSearchApp = "Search Service Application"

# User account used for crawling
$crawlingAccount = "NT Authority\network service"

# Search site relative path
$searchSitePath = "/" + $siteRoot + "/QPRSearch"

# Profile pages relative path
$profilePagesPath = "/" + $siteRoot + "/ProfilePages"

# User group that includes all the users using QPR Search Central
$searchUsersGroup = "NT AUTHORITY\Authenticated Users"

