
$configChanged = $false;

Function SetBdcModelProperties
{

  $lob = Get-SPBusinessDataCatalogMetadataObject -BdcObjectType "LobSystem" -Name "Qpr.Model" -ServiceContext $rootUrl

  $currentLogFilePath = $lob.properties | Where-Object {$_.Name -eq "LogFilePath" }

  $instance = $lob.LobSystemInstances | Where-Object {$_.Name -eq "main" }

  $currentWSUrl = $instance.properties | Where-Object {$_.Name -eq "QPRWebServicesUrl" }

  if ($inMainSetupScript)
  {
    Set-SPBusinessDataCatalogMetadataObject -Identity $lob -PropertyName "LogFilePath" -PropertyValue "$qprLogPath"
    $lob.Update()

    Set-SPBusinessDataCatalogMetadataObject -Identity $instance -PropertyName "QPRWebServicesUrl" -PropertyValue "$qprWsUrl"
    $instance.Update()
    $script:configChanged = $true;
  }

  else
  {
    Write-Host Current log file path is $currentLogFilePath.Value
    Write-Host Current Web Services URL is $currentWSUrl.Value
    $changeLogPath = Read-Host -Prompt "Do you want to reconfigure the log path? y/n"
    if ($changeLogPath -eq "y")
    {
      $logFilePath = Read-Host -Prompt "Please input the log file path: "
      Set-SPBusinessDataCatalogMetadataObject -Identity $lob -PropertyName "LogFilePath" -PropertyValue "$logFilePath"
      $lob.Update()
      $script:configChanged = $true;
    }

    $changeWSUrl = Read-Host -Prompt "Do you want to reconfigure the QPR web services URL? y/n"
    if ($changeWSUrl -eq "y")
    {
      $wsUrl = Read-Host -Prompt "Please input the web services URL: "
      Set-SPBusinessDataCatalogMetadataObject -Identity $instance -PropertyName "QPRWebServicesUrl" -PropertyValue "$wsUrl"
      $instance.Update()
      $script:configChanged = $true;
    }
  }
}

if (!$inMainSetupScript)
{
  . .\Configuration.ps1
  SetBdcModelProperties
  if ($configChanged)
  {  
    Restart-Service OSearch14
    Restart-Service SPSearch4
  }
}
