// [QPRTemplateStart: sc_jsviewutils.tpl]

  function OnLastPeriodSet(vsPeriodId, vsDate)
  {
    var oHView=oGetHeaderView();
    if (oHView)
    {
      oHView.SetNamedVariableValue('LASTSELPERID', vsPeriodId, false);
      oHView.SetNamedVariableValue('LASTSELPERDATE', vsDate, false);
    }
  }
  function OnLastSeriesSet(vsSeriesId)
  {
    var oHView=oGetHeaderView();
    if (oHView)
    {
      oHView.SetNamedVariableValue('LASTSELPATID', vsSeriesId, false);
    }
  }
  function init()
  {
    var sPeriodId;
    var sPeriodDate;
    var sSeriesId;
    var oHView=oGetHeaderView();
    if (oHView)
    {
      sPeriodId = oHView.sGetNamedVariableValue('LASTSELPERID', false);
      sPeriodDate = oHView.sGetNamedVariableValue('LASTSELPERDATE', false);
      sSeriesId = oHView.sGetNamedVariableValue('LASTSELPATID', false);
    }
    else
    {
      sPeriodId = sCreateExternalObjectId(PR_SC, <#Model attribute="id">, '<#UsedPeriodID>');
      sPeriodDate = '';
      sSeriesId = sCreateExternalObjectId(PR_SC, <#Model attribute="id">, '<#UsedSeriesID>');
    }
    if ((parent) && (parent.callFunction))
    {
      parent.callFunction('<#SetCookieValueURL key="LASTSELPERID" product="QPRPORTAL">&SCV=' + sPeriodId);
      parent.callFunction('<#SetCookieValueURL key="LASTSELPERDATE" product="QPRPORTAL">&SCV=' + sPeriodDate);
      parent.callFunction('<#SetCookieValueURL key="LASTSELPATID" product="QPRPORTAL">&SCV=' + sSeriesId);
    }
	// Google Analytics
	trackGoogleAnalyticsFromInformationView();
  }

  function sGetSeriesToolbarButtonHTML(vbFromObjectQueryView)
  {
    if (vbFromObjectQueryView)
      return sGetToolbarIconButtonHTML("<#LocalizedText id="Series">", "javascript:oGetInformationViewFrame().OpenSeriesSelectionViewFromToolbar()", "<#PortalImageFileLocation>icon_series.png");
    else
      return sGetToolbarIconButtonHTML("<#LocalizedText id="Series">", "javascript:OpenWindow(\"" + sAddJavascriptEscapes("<#SelectSeries>") + "\", \"SC_SERIES\", 400, 410, true)", "<#PortalImageFileLocation>icon_series.png");
  }
  
  function sGetOfficeExportButtonHTML()
  {
    var oMainView = oGetMainView();
  return !oMainView || !oMainView.bIsLicensedPowerPointExport() || IPAD ||
         <#HasRights product="portal" level="update" true="false" false="true">
         ? '' :
           sGetToolbarIconButtonHTML("<#LocalizedText id="Export to Office">", "javascript:oGetInformationViewFrame().OfficeExport()", "<#PortalImageFileLocation>icon_office.png");
  }

  function sGetPeriodToolbarButtonHTML(vbFromObjectQueryView)
  {
    if (vbFromObjectQueryView)
      return sGetToolbarIconButtonHTML("<#LocalizedText id="Period">", "javascript:oGetInformationViewFrame().OpenPeriodSelectionViewFromToolbar()", "<#PortalImageFileLocation>icon_period.png");
    else
      return sGetToolbarIconButtonHTML("<#LocalizedText id="Period">", "javascript:OpenWindow(\"<#SelectPeriodView>\", \"SC_PERIOD\", " + PERIODSELECTIONVIEW_WIDTH + ", " + PERIODSELECTIONVIEW_HEIGHT + ", true)", "<#PortalImageFileLocation>icon_period.png");
  }

  function sGetDefaultLocalToolbarButtons()
  {
    return sGetSeriesToolbarButtonHTML() +
           sGetToolbarIconButtonHTMLForSizedPopup("<#LocalizedText id="Views">", "<#SelectViewSettings>", 300, 200, "<#PortalImageFileLocation>icon_view_selection.png") +
           sGetPeriodToolbarButtonHTML() +
           sGetOfficeExportButtonHTML();
  }

  function sGetHeaderViewLeftHTML()
  {
    return sGetViewName();
  }
  
  function sGetHeaderViewRightHTML()
  {
    return "<#LocalizedText id="Period:">&nbsp;<#PeriodName>&nbsp;&nbsp;&nbsp;" +
           "<#LocalizedText id="Series:">&nbsp;<#SeriesName>&nbsp;&nbsp;&nbsp;" +
           "<#LocalizedText id="View:">&nbsp;<#ViewSettingsName>";
  }
  
  function sGetParametersFromUrl(vsUrl)
  {
    var sModelId = sGetParameter(ACT_PARAM_MODEL, vsUrl);
    var oHeaderView = oGetHeaderView();
    if (oHeaderView &&
        oHeaderView.sGetHierarchyViewParameter &&
       (oHeaderView.sGetHierarchyViewParameter('scorecards', ACT_PARAM_MODEL) != sModelId))
      return sSetParameter(ACT_PARAM_MODEL, sModelId, "");
    else
      return undefined;
  }

  function sGetObjectIdFromUrl(vsUrl)
  {
	return sCreateExternalObjectId(PR_SC, sGetParameter(ACT_PARAM_MODEL, vsUrl), sGetParameter("OBJ", vsUrl));
  }

  function sGetGraphicalViewTemplateName(vsKey)
  {
    var sResult = 'sc_' + vsKey + 'frameview';
    if ("<#SettingValue section="SCP Settings" key="GraphicalViewer">" === "3")
      sResult += '_silverlight';
    sResult += '.tpl';
    return sResult;
  }

  function OpenAnalysisView(vsUrl)
  {
    if (bInPortal())
      OpenPortalFrameset(vsUrl, 'scorecards', 'SCPLUGIN_analysis', sGetParametersFromUrl(vsUrl), sGetObjectIdFromUrl(vsUrl));
    else
      document.location = vsUrl;
  }
  
  function OpenNavigatorView(vsUrl)
  {
    if (bInPortal())
      OpenPortalFrameset(vsUrl, 'scorecards', 'SCPLUGIN_navigator', sGetParametersFromUrl(vsUrl), sGetObjectIdFromUrl(vsUrl));
    else
      document.location = vsUrl;
  }

  function OpenScorecardView(vsUrl)
  {
    if (bInPortal())
      OpenPortalFrameset(vsUrl, 'scorecards', 'SCPLUGIN_scorecards', sGetParametersFromUrl(vsUrl), sGetObjectIdFromUrl(vsUrl));
    else
      document.location = sSetParameter('TPL', sGetGraphicalViewTemplateName('sc'), vsUrl);
  }
  
  function OpenStrategyMapView(vsUrl)
  {
    if (bInPortal())
      OpenPortalFrameset(vsUrl, 'scorecards', 'SCPLUGIN_strategymaps', sGetParametersFromUrl(vsUrl), sGetObjectIdFromUrl(vsUrl));
    else
      document.location = sSetParameter('TPL', sGetGraphicalViewTemplateName('ce'), vsUrl);
  }
  
  function OpenActionsView(vsUrl, vsElementDetailsUrl)
  {
    if (bInPortal())
    {
      var oFrameset = oGetDetailsPaneFrameset();
      if (oFrameset && typeof(oFrameset.OpenDetailsPanePage) !== "undefined")
        oFrameset.OpenDetailsPanePage(vsElementDetailsUrl, "Actions");
      else
        OpenInformationView(vsUrl);
    }
    else
      document.location = vsUrl;
  }
  
  var _bSubmitting = false;
  
  function SubmitMeasureValues()
  {
    if (_bSubmitting)
      return;
    _bSubmitting = true;
      
    SubmitSCMeasureValues(
      document.formTable, 
      function (data) 
      {
        _bSubmitting = false;
        var oInformationView = oGetInformationView();
        if (!oInformationView)
          return;
        var url = sRemoveEditingParametersFromURL(sRemoveParameter(ACT_PARAM_EDIT, oInformationView.sGetDocumentLocation()));
        OpenInformationView(url);
      },
      function () 
      {
        _bSubmitting = false; 
        alert("<#LocalizedText enc="script" id="An error occurred while submitting measure values. Please check that all entered values are valid.">");
      }
    );
  } 
// [QPRTemplateEnd: sc_jsviewutils.tpl]